Bug 210809 - Fedora logo on browser start page should link to fedoraproject.org
Fedora logo on browser start page should link to fedoraproject.org
Status: CLOSED WONTFIX
Product: Fedora Documentation
Classification: Fedora
Component: homepage (Show other bugs)
devel
All Linux
low Severity medium
: ---
: ---
Assigned To: Dimitris Glezos
Karsten Wade
:
Depends On:
Blocks: fc-relnotes-traqr
  Show dependency treegraph
 
Reported: 2006-10-15 10:22 EDT by Need Real Name
Modified: 2008-11-06 22:04 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-06 22:04:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2006-10-15 10:22:44 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en; rv:1.8.0.7) Gecko/20061011 Fedora/1.5.0.7-7.fc6 Epiphany/2.16 Firefox/1.5.0.7

Description of problem:
The fedora logo should be clickable and go to the Fedora homepage, as it did previously.

Version-Release number of selected component (if applicable):


How reproducible:
Always


Steps to Reproduce:
x

Actual Results:


Expected Results:


Additional info:
Comment 1 Need Real Name 2006-11-12 12:22:02 EST
This is still broken.
EasyFix.
Comment 2 Karsten Wade 2007-02-10 12:55:48 EST
Reassigning to Dimitris to consider for F7.  The logo is part of a background
image, so to make it a link, the page needs a bit of redesign.

Comment 3 Need Real Name 2007-02-10 16:01:01 EST
No it doesn't. Please can we stop with the red tape on this.

Please add this:
<a href="http://www.fedoraproject.org/">
</a>
around the logo.

Why is no redesign needed? Because it's standard behaviour for a logo to be
clickable. Click the logo at the top of the page to see.

If you would like to redesign the page, please can you make it a separate bug.

Thank you.
Comment 4 Need Real Name 2007-02-10 16:03:01 EST
Oh my god. Who put it as a background image. *sigh*

Sorry, you're right. I'm just fed up of simple bugs like this dragging their
feet for months.
Comment 5 Dimitris Glezos 2007-02-10 18:05:31 EST
This is a good RFE.

Currently the page is written in DocBook and the header is automatically created
from that. Our XML only contains things below the Welcome title so, we'll need
to add things in our XML and probably write some XSL-foo to avoid text showing up.

Adding a new `<sect1 id="header">` tag messes things up a lot: it produces two
first-level sections and makes the first one the default resulting in a blank page.

I don't know how to make this work, so I'll need to spend some time on it.
Comment 6 Karsten Wade 2007-02-10 19:39:31 EST
In response to comment #4, you are welcome to tackle the problem yourself.  All
of the code is in CVS; you can get an account or submit a patch:

http://cvs.fedora.redhat.com/viewcvs/homepage/devel/?root=docs
http://fedoraproject.org/wiki/DocsProject/CvsUsage#Anonymous-CVS
http://fedoraproject.org/wiki/DocsProject/CvsAccess (getting an account)

We sacrificed the simplicity of editing the page in direct HTML.  What we gained
is a document that can be easily translated using the exact same tools and
processes as the rest of Fedora.
Comment 7 Dimitris Glezos 2007-04-04 14:59:28 EDT
If someone could provide a patch for this, I'd be happy to test it and commit it
for F7.
Comment 8 Karsten Wade 2008-11-06 22:04:58 EST
Custom browser start page is no longer maintained.

Note You need to log in before you can comment on or make changes to this bug.